<div align="center">
  <img src="https://raw.githubusercontent.com/Mahmud0808/ColorBlendr/master/.github/resources/banner.png" width="100%" alt="Banner">

#
</div>
<p align="center">
  <a href="https://github.com/Mahmud0808/ColorBlendr"><img alt="Repo Size" src="https://img.shields.io/github/repo-size/Mahmud0808/ColorBlendr?style=for-the-badge"></a>
  <a href="https://github.com/Mahmud0808/ColorBlendr/releases"><img src="https://img.shields.io/github/downloads/Mahmud0808/ColorBlendr/total?color=%233DDC84&logo=android&logoColor=%23fff&style=for-the-badge" alt="Downloads"></a>
  <a href="https://telegram.me/IconifyOfficial"><img src="https://img.shields.io/badge/Telegram-Join-2CA5E0?style=for-the-badge&logo=telegram&logoColor=white" alt="Telegram"></a>
</p>
<div align="center">

# ColorBlendr

### Customize Material You colors of your device.
</div>
<p align="center">
Elevate your creativity with effortless material customization. Instantly tweak colors for a personalized touch in just a few taps.
</p>
<div align="center">
  <a href="https://f-droid.org/en/packages/com.drdisagree.colorblendr/"><img src="https://f-droid.org/badge/get-it-on.png" width="34.4%" alt="Get it on F-Droid" /></a>
  <br>
  <a href="https://www.buymeacoffee.com/DrDisagree"><img src="https://raw.githubusercontent.com/Mahmud0808/ColorBlendr/master/.github/resources/bmc-button.png" width="30%" alt="Buy me a coffee" /></a>
  <br><br>
  <img src="https://raw.githubusercontent.com/Mahmud0808/ColorBlendr/master/.github/resources/features.png" width="100%" alt="Features">
</div>

## Features 🔥

- Accent saturation changer

- Background saturation changer

- Background lightness changer

- Pitch black theme in dark mode

- Manual color overriding

- and many more...

## Requirements 🛠

- Android 12+ device

- Working Root or Shizuku environment

## How to Use 🚀

- Download and install the apk

- Allow permissions for the app

- Select root or shizuku mode

- That's it. Now you are good to go!

## Note 📝

- Root is recommended if you want to have the full experience

- Shizuku is also supported but customizations are limited

## FAQ 🤓

<details>
  <summary>How does ColorBlendr work without root access?</summary>

- ColorBlendr utilizes adb commands to change Material You colors, allowing users to modify these colors without needing root access.
</details>

<details>
  <summary>How does ColorBlendr work with root access?</summary>

- ColorBlendr leverages the [FabricatedOverlay](https://developer.android.com/reference/android/content/om/FabricatedOverlay) API to dynamically change Material You colors at runtime without creating any permanent files.
</details>

<details>
  <summary>Why doesn't ColorBlendr work properly on OneUI?</summary>

- OneUI uses its own color palette for system apps, not Material You colors. As a result, ColorBlendr's modifications only affect Google apps and other apps that support Material You, but not OneUI system apps.
</details>

<details>
  <summary>Why are some features grayed out or cannot be enabled?</summary>

- These features either require a specific Android version or higher, or you need root access to unlock all features.
</details>

<details>
  <summary>How do I properly uninstall ColorBlendr?</summary>

- First, disable the ColorBlendr Service from app settings. Then, uninstall the app and reboot your device.
</details>

## Translation 🌐

- Assist in translating ColorBlendr into your preferred language through [our Crowdin platform](https://crowdin.com/project/ColorBlendr). Your contribution will help make ColorBlendr accessible to a wider audience.

## Credits 🤝

- [@siavash79](https://github.com/siavash79) for helping me.
- [@fennifith](https://github.com/fennifith) for color picker.
- And everyone who [contributed](https://github.com/Mahmud0808/ColorBlendr/blob/master/docs/contributors.md) and [translated](https://github.com/Mahmud0808/ColorBlendr/blob/master/docs/translators.md)... :)
